Description: Fix FTBFS with GCC-10

Added missing 'extern' keyword and changed type to be consistent
with common-src/testutils.c

Signed-off-by: Václav Doležal <vdolezal@redhat.com>

Index: amanda.git/common-src/testutils.h
===================================================================
--- amanda.git.orig/common-src/testutils.h	2020-08-02 17:20:58.190801335 +0100
+++ amanda.git/common-src/testutils.h	2020-08-02 17:20:58.186801326 +0100
@@ -75,7 +75,7 @@ typedef struct TestUtilsTest {
 #define tu_dbg(...) if (tu_debugging_enabled) { g_fprintf(stderr, __VA_ARGS__); }
 
 /* Is debugging enabled for this test run? (set internally) */
-int tu_debugging_enabled;
+extern gboolean tu_debugging_enabled;
 
 /*
  * Main loop
